Bug 1324481 - The Czech manpages are outdated
Summary: The Czech manpages are outdated
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages-cs
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-06 12:38 UTC by Miroslav Šustek
Modified: 2016-12-20 19:49 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-20 19:49:39 UTC


Attachments (Terms of Use)

Description Miroslav Šustek 2016-04-06 12:38:14 UTC
Description of problem:
The Czech manpages are outdated. The latest release is from February 2009.
For example manpage for "cp" command in Czech does not have information about --no-clobber option.
I do not know how much changed since 2009, but ... it is 7 years old!

Version-Release number of selected component (if applicable):
0.18.20090209

Steps to Reproduce:
1. Install man-pages-cs.noarch
2. Run: LANG=cs man cp

Actual results:
The manpage does not contain information about options like:
--attributes-only
--no-clobber
--reflink

Expected results:
Czech manpage should be in sync with English manpage and the command itself.

Additional info:
Package info links to: http://tropikhajma.sweb.cz/man-pages-cs/
which looks like the project is abandoned.

I suggest removing the package from the repository so that nobody gets confused (eg. looking for an option that is not documented).
But maybe I am biased, because I have no problem reading English manpages. For the users that are not so comfortable reading English manpages it could be better to leave them but then I suggest to include visible information in the manpage, that the Czech version is outdated.

Comment 1 Nikola Forró 2016-05-04 15:40:12 UTC
Hi Miroslav,

actually there is version information and date in footer of almost every manpage, e.g. in cp(1) manpage you can see:

GNU coreutils 7.0        říjen 2008        CP(1)

It doesn't say explicitly that it's outdated, but I think it gives the users some idea.

Comment 2 Miroslav Šustek 2016-05-04 18:20:39 UTC
TL;DR: I do not agree that the version in the very end of the manpage is sufficient for the users to overcome the confusion caused by outdated informations.

The whole story:
I think that it is not enough. It was quite confusing for me.
I ran "man cp" on a server where I do not have Czech localisation and I could see the aforementioned options. After while I ran "man cp" on my local machine and I could not see them. First, I thought that they were deprecated and removed since my local system is always more recent than the one on my server.
But after googling the manpage I realised that the options are still available. Next I thought that Fedora has different fork of coreutils than the other systems.
Nevertheless, I tried to run the "cp" command with the undocumented options on my local system and it worked. Then I run "cp --help" and it listed all the options. Only after that I got the idea that maybe the manpage is not in sync with the command itself. So I checked the version of my coreutils and realised it is 8.24 and not 7.0 as is stated in the Czech manpage.

I think that it is a standard that manpages are in sync with the application itself, nowadays (since they are usually in the same repository). Therefore I think that it is really confusing when you run into a manpage that is so much out-of-date.

Comment 3 Miroslav Šustek 2016-05-04 18:23:46 UTC
Since I do not think that anybody is going to maintain the Czech translation, I think that the best we can do is to create a final release of the manpages that will have a warning message in the beginning that the Czech translation is not up-to-date and it is not maintained any more.

Comment 4 Miroslav Šustek 2016-05-04 18:27:16 UTC
And the warning message should also point the user to the English translation.

Comment 5 Nikola Forró 2016-05-05 14:00:25 UTC
(In reply to Miroslav Šustek from comment #3)
> Since I do not think that anybody is going to maintain the Czech
> translation, I think that the best we can do is to create a final release of
> the manpages that will have a warning message in the beginning that the
> Czech translation is not up-to-date and it is not maintained any more.
> 
All right. How about something like the following paragraph added to the beginning of DESCRIPTION section?

UPOZORNĚNÍ: Projekt českých manuálových stránek není nadále udržován.
Tato manuálová stránka je zastaralá a informace zde uvedené mohou být neaktuální.


(In reply to Miroslav Šustek from comment #4)
> And the warning message should also point the user to the English
> translation.
> 
I'm not sure about this. Should we instruct users to run e.g. "LANG=POSIX man 1 cp"?

Comment 6 Fedora End Of Life 2016-11-25 07:16:39 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Miroslav Šustek 2016-11-25 19:58:41 UTC
Sorry for not replying for so long.

(In reply to Nikola Forró from comment #5)
> UPOZORNĚNÍ: Projekt českých manuálových stránek není nadále udržován.
> Tato manuálová stránka je zastaralá a informace zde uvedené mohou být
> neaktuální.
The message is perfect! :)

> (In reply to Miroslav Šustek from comment #4)
> > And the warning message should also point the user to the English
> > translation.
> > 
> I'm not sure about this. Should we instruct users to run e.g. "LANG=POSIX
> man 1 cp"?
I would just add the following to the message above:

Aktuální informace naleznete v nápovědě příkazu nebo anglické verzi manuálových stránek.

Comment 9 Fedora Update System 2016-11-29 13:38:29 UTC
man-pages-cs-0.18.20090209-20.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ff3543b97

Comment 10 Fedora Update System 2016-11-29 13:39:09 UTC
man-pages-cs-0.18.20090209-22.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-63fe0662dc

Comment 11 Fedora Update System 2016-11-29 13:39:46 UTC
man-pages-cs-0.18.20090209-22.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-730598281a

Comment 12 Fedora Update System 2016-11-30 06:52:38 UTC
man-pages-cs-0.18.20090209-20.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ff3543b97

Comment 13 Fedora Update System 2016-12-02 06:27:56 UTC
man-pages-cs-0.18.20090209-22.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-63fe0662dc

Comment 14 Miroslav Šustek 2016-12-02 08:51:48 UTC
Thank you, Nikola! Works great.

Comment 15 Fedora Update System 2016-12-02 18:56:09 UTC
man-pages-cs-0.18.20090209-22.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-730598281a

Comment 16 Fedora Update System 2016-12-08 03:20:37 UTC
man-pages-cs-0.18.20090209-20.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-12-09 10:07:10 UTC
man-pages-cs-0.18.20090209-22.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-63fe0662dc

Comment 18 Fedora Update System 2016-12-10 04:28:07 UTC
man-pages-cs-0.18.20090209-22.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-63fe0662dc

Comment 19 Fedora Update System 2016-12-12 23:56:30 UTC
man-pages-cs-0.18.20090209-22.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-12-20 06:22:26 UTC
man-pages-cs-0.18.20090209-22.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora End Of Life 2016-12-20 19:49:39 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.